using System;
using System.IO;
using System.Collections;


namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert images to PDF in memory			 			
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			v.ImageStyle.Quality=100;

			//Create array containing paths to different images
			string[] arImages = new string[4];
			arImages[0] = @"..\..\..\..\..\image1.jpg";
			arImages[1] = @"..\..\..\..\..\image2.png";
			arImages[2] = @"..\..\..\..\..\image3.gif";
			arImages[3] = @"..\..\..\..\..\image4.jpg";

			ArrayList arImageBytes = new ArrayList();

			//fill arraylist by image bytes
			for (int i=0; i<arImages.Length; i++)
			{
				byte [] imageBytes=null;
				imageBytes = ReadByteArrayFromFile(arImages[i]);
				if (imageBytes!=null)
					arImageBytes.Add(imageBytes);

			}

			//Now the arImageBytes contains byte streams of each image
			//Lets convert it to PDF stream in memory
			byte [] pdf = v.ConvertImageStreamArrayToPDFStream(arImageBytes);
			if(pdf!=null )
			{
				//Save PDF stream to a file
				string pdfFile = @"..\..\..\..\..\hardcopy.pdf";
				File.Delete(pdfFile);
				FileStream fs = File.OpenWrite(pdfFile);
				fs.Write(pdf,0,pdf.Length);
				fs.Close();

				//Show produced file in Acrobat Reader
				System.Diagnostics.Process.Start(pdfFile);
			}
		}
		public static byte[] ReadByteArrayFromFile(string fileName)
		{
			byte[] buff = null;
			try
			{
				FileStream fs = new FileStream(fileName, FileMode.Open, FileAccess.Read);
				BinaryReader br = new BinaryReader(fs);
				long numBytes = new FileInfo(fileName).Length;
				buff = br.ReadBytes((int)numBytes);
			}
			catch{}
			return buff;
		}
	}
}
